Bug 641390 - Review Request: sisu - Sonatype dependency injection framework
Summary: Review Request: sisu - Sonatype dependency injection framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 15:20 UTC by Stanislav Ochotnicky
Modified: 2010-10-18 08:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-18 08:52:13 UTC
Type: ---
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-10-08 15:20:17 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/sisu.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/sisu-1.4.2-1.fc13.src.rpm

Description: 
Java dependency injection framework with backward support for plexus and bean
style dependency injection.

Comment 1 Alexander Kurtakov 2010-10-14 11:55:35 UTC
I'll do this one.

Comment 2 Stanislav Ochotnicky 2010-10-14 12:03:33 UTC
Re-uploaded the spec/srpm to fix changelog and describe how to get tarball. 

README is not packaged because it's an empty file and therefore useless (plus rpmlint would complain).

Comment 3 Alexander Kurtakov 2010-10-14 12:17:58 UTC
Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[X]  Rpmlint output:
sisu.noarch: W: spelling-error Summary(en_US) Sonatype -> Sonatina, Sonata, Somatotype
Not a problem.
sisu.noarch: W: no-documentation
Explained by submitter.
sisu.noarch: W: non-conffile-in-etc /etc/maven/fragments/sisu
Not a problem

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[X]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[X]  Package uses %update_maven_depmap in %post/%postun
[X]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[X]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.


This package is APPROVED.

Comment 4 Stanislav Ochotnicky 2010-10-14 12:46:16 UTC
Thanks for the review. Requesting repos

New Package CVS Request
=======================
Package Name: sisu
Short Description: Sonatype dependency injection framework
Owners: sochotni
Branches: f14
InitialCC:

Comment 5 Kevin Fenzi 2010-10-16 21:16:55 UTC
Git done (by process-git-requests).

Comment 6 Stanislav Ochotnicky 2010-10-18 08:52:13 UTC
Package built. Thanks.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2540113


Note You need to log in before you can comment on or make changes to this bug.